# Get a list of privacy request integrations

```
GET https://www.example.com/api/v2/privacy_requests/:id/integrations
```

Get a list of privacy request integrations

## Request

### Path Parameters

**id** string required  
The UUID of the privacy request (36 character string).  
**Example:** `80edbafc-4ec6-45a0-b341-73080457890e`

### Header Parameters

**authorization** string required  
**Example:** `Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9`

## Responses

- 200
- 401
- 404

List of privacy request integrations

- application/json

- Schema
- Example (auto)

**Schema**

**data** object[]

Array [

**uuid** string  
UUID which represents the current record.  
**Example:** `677a70c6-2a5a-4ad9-b266-566e44a6d50b`

**integration_id** string  
The UUID of the privacy request integration.  
**Example:** `7efa58a8-9b7d-4faf-8082-5f7f7f407db7`

**name** string  
The name of the integration.  
**Example:** `AWS Integration`

**state** string  
State of the current integration.  
**Possible values:** [`cancelled`, `completed`, `deferred`, `failed`, `ignored`, `init`, `pending`, `processing`, `queued`]  
**Example:** `completed`

**paused** boolean  
If this integration has been manually paused from continuing to process information.

**excluded** boolean  
If the integration had been manually excluded from the processing of the current request.

**is_connected** boolean  
Whether this integration is currently correctly connected or not. Health check of your integration.

**access_type** string  
The method of which the access phase has and is run through.  
**Possible values:** [`api`, `direct_contact`, `none`]

**access_done_at** string  
The timestamp when the access phase of the request was completed.  
**Example:** `2024-10-28T15:32:43.207Z`

**deletion_type** string  
The method of which the deletion phase has and is run through.  
**Possible values:** [`api`, `direct_contact`, `none`]

**deletion_done_at** string  
The timestamp when the deletion phase of the request was completed.  
**Example:** `2024-10-31T15:32:43.207Z`

**created_at** string  
The timestamp when this integration was created.  
**Example:** `2024-10-27T13:29:04.728Z`

]

```json
{
  "data": [
    {
      "uuid": "677a70c6-2a5a-4ad9-b266-566e44a6d50b",
      "integration_id": "7efa58a8-9b7d-4faf-8082-5f7f7f407db7",
      "name": "AWS Integration",
      "state": "completed",
      "paused": true,
      "excluded": true,
      "is_connected": true,
      "access_type": "api",
      "access_done_at": "2024-10-28T15:32:43.207Z",
      "deletion_type": "api",
      "deletion_done_at": "2024-10-31T15:32:43.207Z",
      "created_at": "2024-10-27T13:29:04.728Z"
    }
  ]
}
```

Unauthorized

Not Found

- curl
- go
- java
- nodejs
- php
- python
- ruby
- rust
- swift

- CURL

```bash
curl -L 'https://www.example.com/api/v2/privacy_requests/:id/integrations' \
-H 'Accept: application/json'
```

Need help?

If you have any questions, please reach out to your dedicated Account Manager or contact us at [support@datagrail.io](mailto:support@datagrail.io).

_Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material._
